#!/bin/sh
SCRIPT_VER=1.0

echo "#############################################################################"
echo "##              This is OLT BSP tool                                        #"
echo "#############################################################################"

printf "\r\n"
printf "System date      : $(date) \r\n"   
printf "System uptime    :$(uptime) \r\n"  


printf "\r\n===== %-20s ==== \r\n"    "MTD info"  
cat /proc/mtd


printf "\r\n===== %-20s ==== \r\n"    "CPU Memory info"
cat /proc/cpuinfo | grep model 
cat /proc/cpuinfo | grep Memory



tmp_info="$(hexdump -n 96 -C /dev/mtd8 | awk -F '|' '{print $2}' | tr '\n' '\0')"
BSP_UBOOT_INFO=$(echo $tmp_info | cut -d ')' -f 2 | cut -d '.' -f 1)
BSP_UBOOT_VER=${BSP_UBOOT_INFO##*-}

if [ -f  /proc/device-tree/version ]; then
BSP_DTB_INFO=$(cat /proc/device-tree/version)
BSP_DTB_VER=${BSP_DTB_INFO##*-}
else
	if [ -f  /proc/device-tree/lable ]; then
	BSP_DTB_INFO=$(cat /proc/device-tree/lable)
#	BSP_DTB_VER=${BSP_DTB_INFO##*-}
	fi
fi


dd if=/dev/mtd0 of=/tmp/rcw.img ibs=80 count=1 >/dev/null 2>&1
BSP_RCW_MD5SUM=$(md5sum /tmp/rcw.img | cut -d ' ' -f 1)
BSP_RCW_INFO=$(hexdump -e '16/1 "%02x"' /tmp/rcw.img)
rm /tmp/rcw.img

BSP_KERNEL_INFO_ALL=$(uname -a)
BSP_KERNEL_INFO=$(uname -s)
BSP_KERNEL_VER=${BSP_KERNEL_INFO##*-}

if [ -f /etc/st_rootfs_spec ];then  
BSP_ROOTFS_INFO=$(cat /etc/st_rootfs_spec | grep image_name| cut -d '"' -f 2 )
BSP_ROOTFS_VER=${BSP_ROOTFS_INFO##*-}  
else
	if [ -f /etc/version ]; then  
	BSP_ROOTFS_INFO=$(cat /etc/version )
	#BSP_ROOTFS_VER=${BSP_ROOTFS_INFO##*-}  
	fi
fi

printf "\r\n===== %-20s ==== \r\n"   "System  BSP INFO" 
printf "%-8s: %-36s version: %s\r\n" "Uboot"  "$BSP_UBOOT_INFO"  "$BSP_UBOOT_VER"
printf "%-8s: %-36s version: %s\r\n" "DTB"    "$BSP_DTB_INFO"    "$BSP_DTB_VER"  
printf "%-8s: %-36s            \r\n" "Kernel" "$BSP_KERNEL_INFO_ALL"  
printf "%-8s: %-36s version: %s\r\n" "Kernel" "$BSP_KERNEL_INFO"  "$BSP_KERNEL_VER"
printf "%-8s: %-36s version: %s\r\n" "Rootfs" "$BSP_ROOTFS_INFO"  "$BSP_ROOTFS_VER"
printf "%-8s: %-36s \r\n"            "RCWMD5" "$BSP_RCW_MD5SUM"
printf "%-8s: %-36s \r\n"            "RCW"    "$BSP_RCW_INFO"



printf "\r\n===== %-20s ==== \r\n"   "End of diagnose"   

