#!/bin/sh


lic_info_db=$(st_env_get lic_info_db)
test -z "${lic_info_db}" && {
    logger -t license "NULL lic info db"
    exit 1
}


update_keys=$(st_env_get -f ${lic_info_db} update_keys)
for i in ${update_keys};do
    logger -t license "Updating $i"
    case $i in
        expired_time)
            expire_time_limit=$(st_env_get -f ${lic_info_db} expire_time_limit)
            if test -z "${expire_time_limit}" -o ${expire_time_limit} -eq 0;then
                st_env_put -f ${lic_info_db} expire_time_limit 0
                logger -t license "NULL expire time limit or expire time is unlimited"
                break
            fi

            lic_expired=$(st_env_get -f ${lic_info_db} lic_expired)
            if test "${lic_expired}" == "1";then
                logger -t license "license expired"
                break
            fi

            expired_time=$(st_env_get -f ${lic_info_db} expired_time)
            let expired_time+=1
            st_env_put -f ${lic_info_db} expired_time ${expired_time}
            logger -t license "Done updating expired_time"

            if test ${expired_time} -gt ${expire_time_limit};then
                st_env_put -f ${lic_info_db} lic_expired 1
            else
                st_env_put -f ${lic_info_db} lic_expired 0
                time_to_expire=$(expr ${expire_time_limit} - ${expired_time})
                st_env_put -f ${lic_info_db} time_to_expire ${time_to_expire}
            fi
            ;;
        *)
            logger -t license "Not support"
            ;;
    esac
done

exit 0



















